Go
package main import ( "context" "fmt" "log" "github.com/AhaSend/ahasend-go/api" "github.com/google/uuid" ) func main() { // Create API client with authentication client := api.NewAPIClient( api.WithAPIKey("aha-sk-your-64-character-key"), ) accountID := uuid.New() // Create context for the API call ctx := context.Background() // Call the ping endpoint response, httpResp, err := client.RoutesAPI.GetRoutes( ctx, accountID, nil, nil, ) if err != nil { log.Fatalf("Error getting routes: %v", err) } // Check response if httpResp.StatusCode == 200 { fmt.Printf("✅ Status: %d\n", httpResp.StatusCode) if response != nil { fmt.Printf("Found %d routes\n", len(response.Data)) } } else { fmt.Printf("❌ Unexpected status code: %d\n", httpResp.StatusCode) } }
{ "object": "list", "data": [ { "object": "route", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "name": "<string>", "url": "<string>", "enabled": true, "recipient": "<string>", "attachments": true, "headers": true, "group_by_message_id": true, "strip_replies": true, "success_count": 123, "error_count": 123, "errors_since_last_success": 123, "last_request_at": "2023-11-07T05:31:56Z" } ], "pagination": { "has_more": true, "next_cursor": "eyJpZCI6MTIzNH0=" } }
API key for authentication
Account ID
Maximum number of items to return (1-100)
1 <= x <= 100
Pagination cursor for the next page. Provide the value provided in next_cursor from the response.
next_cursor
Pagination cursor for the previous page.
List of routes
Object type identifier
list
Array of routes
Show child attributes
{ "has_more": true, "next_cursor": "eyJpZCI6MTIzNH0=" }